zabbix_export:
  version: '6.2'
  date: '2023-01-25T16:58:27Z'
  template_groups:
    -
      uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
    -
      uuid: 9f26434b366840b29192aae350428ff6
      name: Templates/QoE
  templates:
    -
      uuid: d7fbfa5b88ab4e0b9eaba4a79ea4a84d
      template: 'Template ICMP Targets'
      name: 'Template ICMP Targets (Active Agent)'
      groups:
        -
          name: Templates
        -
          name: Templates/QoE
      discovery_rules:
        -
          uuid: b9706731ef6843d69b771dc9d11d346e
          name: 'IPv4 ICMP Monitoring'
          type: ZABBIX_ACTIVE
          key: 'system.run[/opt/scripts-zabbix/qoe/lld-icmp-response.sh "{$HOST.IPV4}"]'
          delay: 1h
          item_prototypes:
            -
              uuid: 8f22df116674414fa9bf3bf8206b905a
              name: 'Average RTT IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'average.rtt.v4[{#HOST}]'
              delay: '0'
              value_type: FLOAT
              units: ms
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(.*), min\/avg\/max = (.*)\/(.*)\/(.*)'
                    - \3
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
            -
              uuid: 5a3c294417fc46e4b71549d372834598
              name: 'Address IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'ip.address.v4[{#HOST}]'
              delay: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \3
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
                -
                  type: RTRIM
                  parameters:
                    - )
                -
                  type: LTRIM
                  parameters:
                    - (
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
            -
              uuid: 6b865778ea0c401897301bcdfe294db6
              name: 'Packet loss IPv4: {#ALIAS} ({#HOST})'
              type: DEPENDENT
              key: 'packet.loss.v4[{#HOST}]'
              delay: '0'
              units: '%'
              preprocessing:
                -
                  type: REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                    - \7
                  error_handler: DISCARD_VALUE
              master_item:
                key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
            -
              uuid: 723b836490bc4edfb0be48dc7e38b6d8
              name: 'Raw ICMP Monitoring Data IPv4: {#ALIAS} ({#HOST})'
              type: ZABBIX_ACTIVE
              key: 'system.run[/opt/scripts-zabbix/qoe/icmp-response.sh {#HOST} 4 3]'
              history: '0'
              trends: '0'
              value_type: TEXT
              preprocessing:
                -
                  type: MATCHES_REGEX
                  parameters:
                    - '(([0-9a-fA-F.:]+)|[^\s]+) (([0-9a-fA-F.:]+)|[^\s]+) : xmt\/rcv\/%loss = ([0-9]+)\/([0-9]+)\/([0-9]+)%(, min\/avg\/max = (.*)\/(.*)\/(.*))?'
                  error_handler: CUSTOM_VALUE
                  error_handler_params: 'domain not resolved'
          graph_prototypes:
            -
              uuid: 66a71ddcbb4d42f98e1c7791ff1b3ced
              name: 'IPv4 ICMP Monitoring: {#HOST} (RTT and Packet Loss)'
              show_work_period: 'NO'
              graph_items:
                -
                  sortorder: '1'
                  drawtype: BOLD_LINE
                  color: '283593'
                  item:
                    host: 'Template ICMP Targets'
                    key: 'average.rtt.v4[{#HOST}]'
                -
                  sortorder: '2'
                  color: F63100
                  yaxisside: RIGHT
                  item:
                    host: 'Template ICMP Targets'
                    key: 'packet.loss.v4[{#HOST}]'
      macros:
        -
          macro: '{$HOST.IPV4}'
          value: 'UOL|www.uol.com.br, GoDaddy|godaddy.com,Bluehost|bluehost.com.br,Nexcess|nexcess.com,Test|toqspq23.com'
